Skip to content

DealerService⁠

Manage dealer record information.

Operations⁠

searchReservePlanTransactionPagedSelectFields⁠

POST

Searches reserve plan transactions with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/dealer/searchReservePlanTransactionPagedSelectFields
POST /nexum/627/persistent/dealer/searchReservePlanTransactionPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllReservePlanTransactionFields": true,
    "ReservePlanTransactionFields": {
      "AccountNumber": true,
      "ActionCode": true,
      "ActivityDate": true,
      "AdjustmentCode": true,
      "BalanceChange": true,
      "BatchSequence": true,
      "Branch": true,
      "Comment": true,
      "CommentFlag": true,
      "ConsoleNumber": true,
      "DealerNumber": true,
      "Description": true,
      "EffectiveDate": true,
      "LoanId": true,
      "MemberBranch": true,
      "NewBalance": true,
      "ParticipantType": true,
      "PlanId": true,
      "PostDate": true,
      "PostTime": true
    }
  },
  "SearchFilter": {
    "StartPostDate": "string",
    "EndPostDate": "string",
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}